aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/cntlm/cntlm.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
commitb6af1e02efe594039707cd882517663d5370f375 (patch)
treeff9c2d55873e051e82972ba64c017352d3a75d34 /unmaintained/cntlm/cntlm.initd
parenta71346b7acebc600960a98c84fb32cfd72fe864b (diff)
downloadaports-b6af1e02efe594039707cd882517663d5370f375.tar.bz2
aports-b6af1e02efe594039707cd882517663d5370f375.tar.xz
testing/[multiple]: move unmaintained packages
This moves all packages from testing to unmaintained which have not been updated for atleast 6 months. If you are affected by this commit please follow this proceddure: * make sure your packages build on all architectures * move your pacakge(s) back to testing * if you want to keep this package and can maintain it (or find somebody to maintain it for you) for a minimum of 6 months ask it to be moved to community
Diffstat (limited to 'unmaintained/cntlm/cntlm.initd')
-rw-r--r--unmaintained/cntlm/cntlm.initd39
1 files changed, 39 insertions, 0 deletions
diff --git a/unmaintained/cntlm/cntlm.initd b/unmaintained/cntlm/cntlm.initd
new file mode 100644
index 0000000000..449d1f2361
--- /dev/null
+++ b/unmaintained/cntlm/cntlm.initd
@@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+
+description="Authenticating HTTP accelerator for NTLM secured proxies"
+
+depend() {
+ need localmount net
+ use dns logger
+ after bootmisc firewall
+}
+
+checkconfig() {
+ CNTLM_INSTANCE=${SVCNAME#*.}
+ if [ -n "${CNTLM_INSTANCE}" -a "${SVCNAME}" != "cntlm" ]; then
+ CNTLM_CONF="/etc/cntlm.d/${CNTLM_INSTANCE}.conf"
+ CNTLM_PID="/var/run/cntlm.${CNTLM_INSTANCE}.pid"
+ else
+ CNTLM_CONF="/etc/cntlm.conf"
+ CNTLM_PID="/var/run/cntlm.pid"
+ fi
+ if [ ! -e ${CNTLM_CONF} ]; then
+ eerror "You will need an ${CNTLM_CONF} first"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /usr/sbin/cntlm --pidfile "${CNTLM_PID}" \
+ -- -c "${CNTLM_CONF}" -P "${CNTLM_PID}"
+ eend $?
+}
+
+stop() {
+ checkconfig || return 1
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec /usr/sbin/cntlm --pidfile "${CNTLM_PID}"
+ eend $?
+}